Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class AddressDB

    java.lang.Object
      net.i2p.client.naming.AddressDB

Direct Known Subclasses:
  DummyAddressDB, FilesystemAddressDB

Deprecated. unused

    public abstract class AddressDB

extends Object

Field Summary
`protected I2PAppContext` | `_context` Deprecated.
`static String` | `PROP_IMPL` Deprecated. what classname should be used as the address db impl?

Constructor Summary
`protected` | `AddressDB(I2PAppContext context)` Deprecated. The address db should only be constructed and accessed through the application context.

Method Summary
`abstract boolean` | `contains(Address address)` Deprecated.
`abstract boolean` | `contains(String hostname)` Deprecated.
`static AddressDB` | `createInstance(I2PAppContext context)` Deprecated. Get an address db instance.
`abstract Address` | `get(String hostname)` Deprecated.
`abstract Collection` | `hostnames()` Deprecated.
`abstract Address` | `put(Address address)` Deprecated.
`abstract Address` | `remove(Address address)` Deprecated.
`abstract Address` | `remove(String hostname)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected I2PAppContext _context

  Deprecated.

### PROP_IMPL

    public static final String PROP_IMPL

  Deprecated.
  what classname should be used as the address db impl?

  See Also:
    Constant Field Values

Constructor Detail

### AddressDB

    protected AddressDB(I2PAppContext context)

  Deprecated.
  The address db should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

Method Detail

### createInstance

    public static final AddressDB createInstance(I2PAppContext context)

  Deprecated.
  Get an address db instance. This method ensures that there will be only one address db instance (singleton) as well as choose the implementation from the "i2p.addressdb.impl" system property.

### get

    public abstract Address get(String hostname)

  Deprecated.

### put

    public abstract Address put(Address address)

  Deprecated.

### remove

    public abstract Address remove(String hostname)

  Deprecated.

### remove

    public abstract Address remove(Address address)

  Deprecated.

### contains

    public abstract boolean contains(Address address)

  Deprecated.

### contains

    public abstract boolean contains(String hostname)

  Deprecated.

### hostnames

    public abstract Collection hostnames()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD